/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */

.single-du_an ol {
    padding: 0;
}
.single-du_an ol li {
    font-weight: bold;
    font-size: 18px;
    font-family: 'Phudu';
}
#offcanvas .ct-panel-inner {
    height: 100vh;
}

.list_loop .e-loop-item {
    height: 573px !important;
}

.loop_duan_congtrinh .loop_duan_congtrinh_top {
    opacity: 0;
    transition: all .3s;
}

.loop_duan_congtrinh:hover .loop_duan_congtrinh_top {
    opacity: 1;
}

.loop_duan_congtrinh:hover .loop_duan_congtrinh_top .loop_duan_congtrinh_top_1 {
    opacity: 1;
    animation: .5s toBottom;
}

.loop_duan_congtrinh:hover .loop_duan_congtrinh_top .loop_duan_congtrinh_top_2 {
    opacity: 1;
    animation: 1.5s toBottom;
}



/* The animation code */
@keyframes toBottom {
    from {
        opacity: 0;
        transform: translateY(-30px);
    }

    to {
        opacity: 1;
        transform: translateY(0px);
    }
}

.loop_duan_congtrinh .loop_duan_congtrinh_bottom .main_title {
    opacity: 1;
    transition: all .3s;
}

.loop_duan_congtrinh:hover .loop_duan_congtrinh_bottom .main_title {
    opacity: 0;
}


.loop_post,
.loop_post .post_hover,
.loop_post .post_hover .post_hover_2 {
    aspect-ratio: 1/1;
    position: relative;
    overflow: hidden;
}

.loop_post {
    overflow: hidden;
}


.loop_post .loop_post_top {
    opacity: 0;
    transition: all .3s;
}

.loop_post:hover .loop_post_top {
    opacity: 1;

}

.loop_post:hover .loop_post_top .loop_post_top_title {
    animation: .5s toRight;

}

.loop_post:hover .loop_post_top .loop_post_top_content {
    animation: 1s toBottom;
}

/* The animation code */
@keyframes toRight {
    from {
        opacity: 0;
        transform: translateX(-30px);
    }

    to {
        opacity: 1;
        transform: translateX(0px);
    }
}

.loop_post .post_hover::after {
    content: "";
    height: 100%;
    width: 2px;
    background: var(--theme-palette-color-1);
    position: absolute;
    top: 0;
    left: 0;
    transition: all .3s;
    transform: translateY(500px);
    transition-delay: .9s;
}

.loop_post .post_hover::before {
    content: "" !important;
    height: 100%;
    width: 2px;
    background: var(--theme-palette-color-1);
    position: absolute;
    top: 0;
    left: calc(100% - 2px);
    transition: all .3s;
    transform: translateY(-500px);
    transition-delay: .3s;

}


.loop_post .post_hover_2::after {
    content: "" !important;
    height: 100%;
    width: 2px;
    background: var(--theme-palette-color-1);
    position: absolute;
    top: calc(50% - 2px);
    left: 50%;
    transition: all .3s;
    transform: translateX(500px) rotate(90deg);
    transition-delay: .6s;

}

.loop_post .post_hover_2::before {
    content: "" !important;
    height: 100%;
    width: 2px;
    background: var(--theme-palette-color-1);
    position: absolute;
    top: calc(-50% + 1px);
    left: 50%;
    transition: all .3s;
    transform: translateX(-500px) rotate(90deg);
}

.loop_post:hover .post_hover_2::before,
.loop_post:hover .post_hover_2::after {
    transform: translateX(0px) rotate(90deg);
    transition: 0;
    transition-delay: 0;

}

.loop_post:hover .post_hover::before,
.loop_post:hover .post_hover::after {
    transform: translateY(0px);
    transition: 0;
    transition-delay: 0;
}

.carousel_du_an .swiper-pagination-progressbar {
    bottom: -50px;
    top: unset !important;
}

.box_icon_uu_diem img {
    width: 90px;
    aspect-ratio: 1/1;
    object-fit: contain;
}

.box_icon_uu_diem .elementor-image-box-title {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    -webkit-line-clamp: 2;
    min-height: 60px;
}

.nam_kinh_nghiem .elementor-counter {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.nam_kinh_nghiem .elementor-counter .elementor-counter-number-wrapper::before {
    content: "";
    height: 120px;
    width: 120px;
    border: 4px solid var(--theme-palette-color-1);
    position: absolute;
    top: -15px;
    left: -65px;
    z-index: -1;
}

.gallery_chi_tiet img {
    aspect-ratio: 4/3;
    object-fit: cover;
}

.slide_du-an img {
    aspect-ratio: 16/9;
    object-fit: cover;
}

table.single_table,
table.single_table tr,
table.single_table tr td {
    border: unset;
}

table.single_table tr td {
    padding: 0.7em 0em;
}

table.single_table tr td:first-child {
    width: 140px;
}

table.single_table tr td:last-child {
    text-align: right;
    color: #666666;
}

table.single_table tr {
    border-bottom: 1px solid #e1e1e1;
}

table.single_table tr:last-child {
    border-bottom: unset;
}


.widget_bai_viet .elementor-widget-container {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.widget_bai_viet h3 {
    font-size: 20px;
}

.logo_du_an img {
    width: 200px;
    object-fit: contain;

}

.logo_du_an .elementor-image-box-title {
    display: inline;
}

.current-menu-item {
    color: var(--theme-palette-color-1);
}
.e-filter .e-filter-item{
    cursor: pointer !important;
}

@media only screen and (max-width: 678px) {}